Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jprotein.tree.data
Class SimpleNode

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.Vector
                  jprotein.tree.data.Leaf
                      jprotein.tree.data.SimpleNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess

Direct Known Subclasses:
  Node

    public class SimpleNode

extends Leaf
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`SimpleNode(Leaf left, Leaf right)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`double` | `getLeftVertice()`
`double` | `getRightVertice()`
`Leaf` | `goLeft()`
`Leaf` | `goRight()`
`void` | `initConservedResidue()`
`void` | `resetConservedResidue()`
`void` | `setLeft(Leaf left)`
`void` | `setLeftVertice(double distance)`
`void` | `setRight(Leaf right)`
`void` | `setRightVertice(double distance)`
`java.lang.String` | `toString()`

Methods inherited from class jprotein.tree.data.Leaf
`addDistance, getBackTrace, getConservedResidue, getDistance, getDoubleDistance, getSequence, getSum, removeDistance, setBackTrace, setConservedResidue, unload`

Methods inherited from class java.util.Vector
`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, firstElement, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, retainAll, set, setElementAt, setSize, size, subList, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`iterator, listIterator, listIterator`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`iterator, listIterator, listIterator`

Constructor Detail

### SimpleNode

    public SimpleNode(Leaf left,
                      Leaf right)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Leaf`

### equals

    public boolean equals(java.lang.Object o)

  Specified by:
    `equals` in interface `java.util.Collection`
  Specified by:
    `equals` in interface `java.util.List`
  Overrides:
    `equals` in class `Leaf`

### setLeft

    public void setLeft(Leaf left)

### setRight

    public void setRight(Leaf right)

### goLeft

    public Leaf goLeft()

### goRight

    public Leaf goRight()

### setLeftVertice

    public void setLeftVertice(double distance)

### setRightVertice

    public void setRightVertice(double distance)

### getLeftVertice

    public double getLeftVertice()

### getRightVertice

    public double getRightVertice()

### initConservedResidue

    public void initConservedResidue()

  Overrides:
    `initConservedResidue` in class `Leaf`

### resetConservedResidue

    public void resetConservedResidue()

  Overrides:
    `resetConservedResidue` in class `Leaf`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD